/*  Defines for the program:						*/
/*  MULTIPLEX:	Define if you want multiplexed output (not  finished).	*/
/*  RESPONSE:	Instrument response: 1 = velocity, 2 = acceleration.	*/
/*  DEBUG:	Define if you want debugging output enabled.		*/
/*	$Id: params.h,v 1.2 1999/04/07 15:59:46 doug Exp $ 	*/

#define	    NULLDEV	"/dev/null"
#undef	    MULTIPLEX	
#define	    RESPONSE	1

#define	    DEBUG
#define	    DEBUG_SLEW	1
#define	    DEBUG_TIME	2
#define	    DEBUG_BLOCK	4
#define	    DEBUG_HDRS	8
#define	    DEBUG_FLAG	16
#define	    DEBUG_STREAM 32
#define	    DEBUG_OUT	64
#define	    DEBUG_ANY	\
    (DEBUG_BLOCK | DEBUG_HDRS | DEBUG_SLEW | DEBUG_TIME | DEBUG_FLAG | \
     DEBUG_STREAM | DEBUG_OUT)
#define	    debug(val)  (debug_option & (val))

/*  Global parameters used throughout the program.			*/
/*  Size of a "Steim-compression" frame in bytes.			*/
/*  FRAMESIZE:	size of a data frame within the input block.		*/
/*  MAX_BLKSIZE:    Maximum blocksize for input data.			*/

#define	    FRAMESIZE		64
#define	    MAX_BLKSIZE		4096	    /*:: was 199		*/
#define	    BUFSIZE		8192

/*  Keys used to control stream header creation and manipulation.	*/
#define	    HDR_INIT		1
#define	    HDR_FLUSH		2

#define	SDR_TYPE	0

#define	DBX_FMT		0
#define	FLAT_FMT	1

#define	TOL(rate)		((SPS_RATE(rate)*.2)*SUBSEC_PER_SEC)


#define	SCAN_BIAS		1
#define	SAME_BIAS		2

/*  Maximum sequential time overlap of log packets in sec.	    */
/*  eg. assume that packets will be out of order by at most this    */
/*  number of seconds.  If we encounter a packet that is past our   */
/*  end_time by this amount, we can consider ourselves at the	    */
/*  end of file for our time window.				    */
#define	MAX_SEQ_TIME_OVERLAP		3600
